Archive the Community Twitter extension
Closed, ResolvedPublicRequest

Description

Reason
Community Twitter is unmaintained except for the automated build and translatewiki.net updates. It is also just used on 2 wikis whose versions are < 1.25 and therefore ain't no longer supported nor developed.

To-Do list

  • This task
    • Add maintainers of that extension as subscribers to this task (if they have no apparent Phabricator account, notify them on-wiki or via email if possible and note it here).
    • Add Phabricator project <#ProjectX> as a tag for this task, or MediaWiki-extensions-Other if there is no project.
  • On-wiki documentation
    • Archive documentation on mediawiki.org (https://www.mediawiki.org/wiki/Extension:Community_Twitter): replace page contents with {{TNT|Archived extension|last revision id before archiving|reason=archive reasons, per [[phab:T######]]}}; include a link to this task in the reason parameter.
    • If documentation page was translatable, remove <translate>, visit Special:PageTranslation, and click "remove from translation" (if you don't have the translation administrator right, ask a user who does).
    • Archive Wikidata item associated with documentation page (https://www.wikidata.org/wiki/Q21676671) (remove nearly all statements, except instance of (P31) = MediaWiki extension (Q6805426), which should add a qualifier end time (P582) = the YYYY-MM-DD date that you decided to archive extension, generally per edit history, change English (and other languages if possible) description to "archived MediaWiki extension" (and its translation)).
  • Phabricator
    • Archive Phabricator project <#ProjectX> for the extension.
    • Mark all Phabricator tasks for the extension either Declined or Invalid.
    • Edit Phabricator project <#ProjectX> description for the extension with a link to this ticket.
  • Translatewiki.net/translations
    • Remove from translatewiki.net (groups/MediaWiki/mediawiki-extensions.txt) (add translatewiki.net project as a tag for this task).
  • Configuration/tests/integrations/etc.
  • Repositories
    • Empty repository and add an ARCHIVED file.
    • Archive the diffusion repository for the extension: rECOT extension-CommunityTwitter.
    • Mark the repository read-only in Gerrit.
    • Delete the GitHub mirror.
Restricted Application added a project: User-MarcoAurelio. · View Herald TranscriptSep 14 2018, 6:04 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 460577 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[translatewiki@master] [Community Twitter] Archive extension

https://gerrit.wikimedia.org/r/460577

MarcoAurelio moved this task from Backlog to delete on the GitHub-Mirrors board.
MarcoAurelio moved this task from Backlog to Cleanup / Archival on the Repository-Admins board.
MarcoAurelio moved this task from unsorted/backlog to working on on the User-MarcoAurelio board.

Change 460578 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[integration/config@master] Archive the CommunityTwitter extension

https://gerrit.wikimedia.org/r/460578

Dinoguy1000 updated the task description. (Show Details)Sep 14 2018, 6:36 PM
Dinoguy1000 updated the task description. (Show Details)
Dinoguy1000 updated the task description. (Show Details)Sep 14 2018, 6:39 PM

Change 460577 merged by jenkins-bot:
[translatewiki@master] [Community Twitter] Archive extension

https://gerrit.wikimedia.org/r/460577

Dinoguy1000 updated the task description. (Show Details)Sep 14 2018, 6:41 PM

Change 460578 merged by jenkins-bot:
[integration/config@master] Archive the CommunityTwitter extension

https://gerrit.wikimedia.org/r/460578

MarcoAurelio triaged this task as Low priority.Sep 15 2018, 7:14 PM

Change 460738 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[mediawiki/extensions@master] Archive CommunityTwitter extension

https://gerrit.wikimedia.org/r/460738

Change 460738 merged by Umherirrender:
[mediawiki/extensions@master] Archive CommunityTwitter extension

https://gerrit.wikimedia.org/r/460738

MarcoAurelio updated the task description. (Show Details)

Change 460754 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[mediawiki/extensions/CommunityTwitter@master] Archive extension

https://gerrit.wikimedia.org/r/460754

Change 460754 merged by MarcoAurelio:
[mediawiki/extensions/CommunityTwitter@master] Archive extension

https://gerrit.wikimedia.org/r/460754

MarcoAurelio closed this task as Resolved.Sep 16 2018, 12:48 PM
MarcoAurelio updated the task description. (Show Details)
MarcoAurelio moved this task from working on to archive on the User-MarcoAurelio board.